Subject: Re: Merging ppc32 and ppc64

From: Joel Schopp <[email-masked]>
Date: Mon, 08 Aug 2005 12:59:37 -0500

> I don't see the merge as changing the actual code that gets executed
> on any given platform very much, except in one respect: we are going
> to standardize on a flattened device tree as the way that information
> about the platform gets passed from the boot loader to the kernel.
> 
> Comments? Flames? :)

There are several userspace applications that parse the non-flat device 
tree in /proc/device-tree on pSeries.  While I like the idea of the 
flattened device tree I think we need to consider how many apps we are 
going to break with it.